2

I have a new Debian Jessie machine, but when I try to install Lua (5.3) through apt I get this error:

Reading package lists... Done

Building dependency tree

Reading stateinformation... Done

E: Unable to locate package lua5.3

E: Couldn't find any package by regex 'lua5.3'

I've been looking through Mr. Google to find out some information, but couldn't find anything


barreeeiroo@Telegram /etc> sudo cat /etc/apt/sources.list
#

# deb cdrom:[Debian GNU/Linux 8.1.0 _Jessie_ - Official amd64 NETINST Binary-1 20150606-14:16]/ jessie main

#deb cdrom:[Debian GNU/Linux 8.1.0 _Jessie_ - Official amd64 NETINST Binary-1 20150606-14:16]/ jessie main

deb http://mirror.unitedcolo.de/debian/ jessie main
deb-src http://mirror.unitedcolo.de/debian/ jessie main

deb http://security.debian.org/ jessie/updates main
deb-src http://security.debian.org/ jessie/updates main

# jessie-updates, previously known as 'volatile'
deb http://mirror.unitedcolo.de/debian/ jessie-updates main
deb-src http://mirror.unitedcolo.de/debian/ jessie-updates main
barreeeiroo@Telegram /etc>
  • Welcome to SE , please edit here by adding the output of cat /etc/sources.list – GAD3R Oct 25 '17 at 17:24
  • Hi @GAD3R I edited it, check it – Diego Barreiro Oct 26 '17 at 15:02
2

You can install lua5.3 from jessie backports :

sudo nano /etc/apt/sources.list

Add the following line;

deb http://deb.debian.org/debian jessie-backports main 

Save Ctrl + O ; Enter ; Ctrl + X then run:

sudo apt-get update
sudo apt-get -t jessie-backports install lua5.3
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.